ch.qos.logback.core.joran.util

## Class StringToObjectConverter

- java.lang.Object
- - ch.qos.logback.core.joran.util.StringToObjectConverter

    public class StringToObjectConverter
    extends Object

Utility class which can convert string into objects.

Author:
  Ceki Gülcü

### Constructor Summary

Constructors
Constructor and Description
`StringToObjectConverter()`

### Method Summary

All Methods Static Methods Concrete Methods
`static boolean` `canBeBuiltFromSimpleString(Class<?> parameterClass)`
`static Object` `convertArg(ContextAware ca, String val, Class<?> type)` Convert `val` a String parameter to an object of a given type.
`static Method` `getValueOfMethod(Class<?> type)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StringToObjectConverter

    public StringToObjectConverter()

### Method Detail

#### canBeBuiltFromSimpleString

    public static boolean canBeBuiltFromSimpleString(Class<?> parameterClass)

#### convertArg

    public static Object convertArg(ContextAware ca,
                                    String val,
                                    Class<?> type)

Convert `val` a String parameter to an object of a given type.

#### getValueOfMethod

    public static Method getValueOfMethod(Class<?> type)